## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationGroupOptions

### Authentication::ezcAuthenticationGroupOptions

### Class ezcAuthenticationGroupOptions

Class containing the options for group authentication filter.

Example of use:

1. $options=new ezcAuthenticationGroupOptions ();
2. $options->mode=ezcAuthenticationGroupFilter ::MODE_AND;
3. $options->mode->multipleCredentials=false;
5. // $filter1 and $filter2 are authentication filters which need all to succeed
6. // in order for the group to succeed
7. $filter=new ezcAuthenticationGroupFilter (array($filter1,$filter2),$options);

Source for this file: /Authentication/src/options/group_options.php

    ezcBaseOptions
       |
       --ezcAuthenticationFilterOptions
          |
          --ezcAuthenticationGroupOptions

Version: | //autogen//

### Properties

int

read/write

`$mode`
The way of grouping the authentication filters. Possible values:

- ezcAuthenticationGroupFilter::MODE_OR (default): at least one filter in the group needs to succeed in order for the group to succeed.
- ezcAuthenticationGroupFilter::MODE_AND: all filters in the group need to succeed in order for the group to succeed.

bool | read/write | `$multipleCredentials` If enabled (set to true), each filter must be added to the group along with a credentials object (through the constructor or with addFilter()). By default is false (the credentials from the ezcAuthentication object are used for all filters in the group).

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcAuthenticationGroupOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcAuthenticationFilterOptions
public ezcAuthenticationFilterOptions | `ezcAuthenticationFilterOptions::__construct()` Constructs an object with the specified values.
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcAuthenticationGroupOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | Options for this class

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcAuthenticationFilterOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3